Foreman - Bug #14221

Plugin asset compilation does not expand SCSS imports of CSS files

03/15/2016 04:05 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: Plugin integration
Target version: 1.11.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1318041 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3330
Description

The plugin asset rake task is not using the template provided by sass-rails that correctly identifies css imports in SCSS files. This
results in either compiled CSS files that have regular css import statements or can throw errors during asset compilation. In the
former case, 404s will be seen in the browser in production because the stylesheet will try to import those CSS files from the server

(when they should be embedded in the compiled CSS file).

Related issues:
Blocks Katello - Bug #14163: Routing errors due to missing .css files on navi...

Closed 03/11/2016

Associated revisions

Revision d8520a15 - 03/16/2016 04:10 AM - Eric Helms
Fixes #14221: Use Sass Rails template when compiling plugin assets
The Sass::Rails::Template is needed to resolve css files imported

in an SCSS file without setting them to css imports which lead
to 404s in production.

Revision 153cbdf3 - 04/18/2016 01:45 PM - Eric Helms

Fixes #14221: Use Sass Rails template when compiling plugin assets
The Sass::Rails::Template is needed to resolve css files imported

in an SCSS file without setting them to css imports which lead

to 404s in production.

(cherry picked from commit d8520a15230d854e65bb7de012a1a7e4f9806392)

History

#1 - 03/15/2016 04:12 PM - Eric Helms

- Blocks Bug #14163: Routing errors due to missing .css files on navigating sync status page added

#2 - 03/15/2016 04:12 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3330 added

#3 - 03/15/2016 04:13 PM - Eric Helms
- Bugzilla link set to 1318041

#4 - 03/16/2016 05:02 AM - Eric Helms
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset d8520a15230d854e65bb7de012a1a7e4f9806392.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/d8520a15230d854e65bb7de012a1a7e4f9806392

#5 - 03/16/2016 07:11 AM - Dominic Cleal

- translation missing: en.field_release set to 141

05/21/2024 22


http://www.tcpdf.org

